com.hazelcast.spi

## Class TransactionalDistributedObject<S extends RemoteService>

- java.lang.Object
- - com.hazelcast.spi.AbstractDistributedObject<S>
  - - com.hazelcast.spi.TransactionalDistributedObject<S>

- Type Parameters:
    `S` - type of the `RemoteService`
  All Implemented Interfaces:
    DistributedObject

      public abstract class TransactionalDistributedObject<S extends RemoteService>
      extends AbstractDistributedObject<S>

  To centralize de-serialization for transactional proxies

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.hazelcast.transaction.impl.Transaction` | `tx`

    - ### Fields inherited from class com.hazelcast.spi.AbstractDistributedObject

      `PARTITIONING_STRATEGY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TransactionalDistributedObject(NodeEngine nodeEngine, S service, com.hazelcast.transaction.impl.Transaction tx)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `toObjectIfNeeded(Object data)`

    - ### Methods inherited from class com.hazelcast.spi.AbstractDistributedObject

      `destroy, equals, getDistributedObjectName, getNameAsPartitionAwareData, getNodeEngine, getOperationService, getPartitionId, getPartitionKey, getService, getServiceName, hashCode, invalidate, invokeOnPartition, postDestroy, preDestroy, throwNotActiveException, toData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.hazelcast.core.DistributedObject

      `getName`

- - ### Field Detail

    - #### tx

          protected final com.hazelcast.transaction.impl.Transaction tx

  - ### Constructor Detail

    - #### TransactionalDistributedObject

          protected TransactionalDistributedObject(NodeEngine nodeEngine,
                                                   S service,
                                                   com.hazelcast.transaction.impl.Transaction tx)

  - ### Method Detail

    - #### toObjectIfNeeded

          protected Object toObjectIfNeeded(Object data)

Copyright © 2018. All rights reserved.